Page MenuHomePhabricator

[FPEnv] Teach the IRBuilder about invoke's correct use of the strictfp attribute.
ClosedPublic

Authored by kpn on Dec 11 2020, 11:15 AM.

Details

Summary

Similar to D69312, and documented in D69839, the IRBuilder needs to add the strictfp attribute to invoke instructions when constrained floating point is enabled.

Diff Detail

Event Timeline

kpn requested review of this revision.Dec 11 2020, 11:15 AM
kpn created this revision.
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptDec 11 2020, 11:15 AM
mibintc accepted this revision.Dec 12 2020, 7:26 AM
This revision is now accepted and ready to land.Dec 12 2020, 7:26 AM
This revision was landed with ongoing or failed builds.Dec 15 2020, 9:38 AM
This revision was automatically updated to reflect the committed changes.

This breaks check-clang: http://45.33.8.238/linux/35362/step_7.txt

PTAL, and if it takes a while to fix please revert while you investigate.